#ifndef AIRDEVICEWINDOW_H
#define AIRDEVICEWINDOW_H

#include <QMainWindow>
#include <BRisa/BrisaUpnp/BrisaAction>
#include <BRisa/BrisaUpnp/BrisaDevice>

#define DEVICE_TYPE "urn:schemas-upnp-org:device:AirDevice:1"
#define DEVICE_FRIENDLY_NAME "BRisa UPnP Air Conditioner Device"
#define DEVICE_MANUFACTURER "BRisa Project"
#define DEVICE_MANUFACTURER_URL "https://garage.maemo.org/projects/brisa"
#define DEVICE_MODEL_DESCRIPTION "A UPnP Air Conditioner Device"
#define DEVICE_MODEL_NAME "AIR-LM-589g"
#define DEVICE_MODEL_NUMBER "1.0"
#define DEVICE_MODEL_URL "https://garage.maemo.org/projects/brisa"
#define DEVICE_SERIAL_NUMBER "1.0"

namespace Ui {
   class AirDeviceWindow;
}

class AirDeviceWindow : public QMainWindow {
   Q_OBJECT
public:
   AirDeviceWindow(QWidget *parent = 0);
   ~AirDeviceWindow();
protected:
   void changeEvent(QEvent *event);
private:
   Ui::AirDeviceWindow *ui;
   BrisaDevice airDevice;
   BrisaStateVariable *status;
   BrisaStateVariable *temperature;
public slots:
   void changeStatus(BrisaStateVariable *status);
   void changeTemperature(BrisaStateVariable *temperature);
};
#endif // AIRDEVICEWINDOW_H
